Name:           qomp
Version:        1.2.1
Release:        1%{dist}
License:        GPLv2+
Summary:        Quick(Qt) Online Music Player
URL:            https://sourceforge.net/projects/hotshots/
Source0:        https://dl.opendesktop.org/api/files/download/id/1498900372/qomp_%{version}_src.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QtGui)
BuildRequires:  pkgconfig(QtNetwork)
BuildRequires:  pkgconfig(QtXml)
BuildRequires:  gstreamer-plugins-good
BuildRequires:  taglib-devel
BuildRequires:  libcue-devel

%description
Quick(Qt) Online Music Player - one player for different online music hostings.

%prep
%setup -q 

%build
mkdir build && cd build
%cmake -DCMAKE_INSTALL_PREFIX=/usr ..
%make_build

%install
cd build
%make_install

find %{buildroot}%{_datadir}/%{name}/translations -name "*.qm" | sed 's:'%{buildroot}'::
s:.*/\([a-zA-Z]\{2\}\).qm:%lang(\1) \0:' > ../%{name}.lang

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc README Changelog.txt
%license LICENSE.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_libdir}/lib%{name}.so.*
%{_libdir}/%{name}/plugins/
#%{_datadir}/%{name}
%{_datadir}/%{name}/themes/themes.rcc

%changelog
* Fri Sep 08 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.2.1-1
- Initial build

